/*
 * Copyright CERN 2021
 * Author: Juan David Gonzalez Cobas <dcobas _at_ cern.ch>
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */

#include "fsi.h"

int fsi_channel_configure(struct fsi_channel_config *cfg)
{
	return fsi_channel_array_configure(cfg, 1);
}

int fsi_receive_measurements(struct fsi_channel_measurement meas[], int *nchannels)
{
    	return fsi_receive_measurements_timemout(meas, nchannels, 0);
}
